FS_RMMOUNT(1)

NAME
fs_rmmount - Removes a mount point

SYNOPSIS
fs rmmount -dir <directory>+ [-help]

fs rm -d <directory>+ [-h]

DESCRIPTION
The fs rmmount command removes the mount point named by the -dir argument from the file system. The corresponding volume remains on its host partition or partitions, but is inaccessible if there are no other mount points for it.

OPTIONS

-dir <directory>+
    Names the mount point to delete from the file system. The last element in the pathname must be an actual name, not a shorthand notation such as "dot" (".") or "dot dot" ("..").

    Specify the read/write path to the directory, to avoid the failure that results from attempting to delete a mount point from a read-only volume. By convention, the read/write path is indicated by placing a period before the cell name at the pathname's second level (for example, /afs/.abc.com). For further discussion of the concept of read/write and read-only paths through the filespace, see the fs mkmount reference page.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the mount points jones and terry from the current working directory (the /afs/abc.com/usr directory).

   % fs rmmount jones terry

PRIVILEGE REQUIRED
The issuer must have the "d" (delete) permission on the ACL of the directory that houses each mount point.

SEE ALSO
fs_lsmount(1), fs_mkmount(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.